## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          notcurses
Version:       3.0.12
Release:       %autorelease
Summary:       Character graphics and TUI library
License:       Apache-2.0
URL:           https://nick-black.com/dankwiki/index.php/Notcurses
Source0:       https://github.com/dankamongmen/%{name}/releases/download/v%{version}/notcurses_%{version}+dfsg.1.orig.tar.xz
Source1:       https://github.com/dankamongmen/%{name}/releases/download/v%{version}/notcurses_%{version}+dfsg.1.orig.tar.xz.asc
Source2:       https://nick-black.com/dankamongmen.gpg

# Our EPEL8 package can't yet use qr-code-generator or python-pypandoc
BuildRequires: gnupg2
BuildRequires: cmake
BuildRequires: doctest-devel
BuildRequires: gcc-c++
BuildRequires: gpm-devel
BuildRequires: libdeflate-devel
#BuildRequires: libqrcodegen-devel
BuildRequires: libunistring-devel
#BuildRequires: OpenImageIO-devel
BuildRequires: pkgconfig(zlib)
#BuildRequires: pandoc
#BuildRequires: python3-cffi
#BuildRequires: python3-devel
#BuildRequires: python3-pypandoc
#BuildRequires: python3-setuptools
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(zlib)
# for en_US.UTF-8 locale (we just want *some* UTF-8 one)
BuildRequires: glibc-langpack-en

%description
Notcurses facilitates the creation of modern TUI programs,
making full use of Unicode and 24-bit TrueColor. It presents
an API similar to that of Curses, and rides atop Terminfo.
This package includes C and C++ shared libraries.

%package devel
Summary:       Development files for the Notcurses library
License:       Apache-2.0
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the notcurses library.

%package static
Summary:       Static library for the Notcurses library
License:       Apache-2.0
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description static
A statically-linked version of the notcurses library.

%package utils
Summary:       Binaries from the Notcurses project
License:       Apache-2.0
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description utils
Binaries from Notcurses, and multimedia content used thereby.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%define __cmake3_in_source_build 1

%build
# fedora requires -fPIC for static libraries
%cmake -DUSE_MULTIMEDIA=none -DDFSG_BUILD=on -DUSE_QRCODEGEN=off -DUSE_GPM=on \
 -DCMAKE_POSITION_INDEPENDENT_CODE=ON -DUSE_PANDOC=off \
 -DCMAKE_CXX_STANDARD_LIBRARIES=-lstdc++fs
%cmake_build

%check
#ctest -V %{?_smp_mflags}

%install
%cmake_install

%files
%doc CONTRIBUTING.md doc/CURSES.md doc/HACKING.md doc/HISTORY.md INSTALL.md doc/OTHERS.md README.md USAGE.md NEWS.md TERMINALS.md
%license COPYRIGHT
%{_libdir}/libnotcurses-core.so.%{version}
%{_libdir}/libnotcurses-core.so.3
%{_libdir}/libnotcurses-ffi.so.%{version}
%{_libdir}/libnotcurses-ffi.so.3
%{_libdir}/libnotcurses.so.%{version}
%{_libdir}/libnotcurses.so.3
%{_libdir}/libnotcurses++.so.3
%{_libdir}/libnotcurses++.so.%{version}

%files devel
%{_includedir}/notcurses/
%{_includedir}/ncpp/
%{_libdir}/libnotcurses-core.so
%{_libdir}/libnotcurses-ffi.so
%{_libdir}/libnotcurses.so
%{_libdir}/libnotcurses++.so
%{_libdir}/cmake/Notcurses
%{_libdir}/cmake/Notcurses++
%{_libdir}/cmake/NotcursesCore
%{_libdir}/pkgconfig/notcurses-core.pc
%{_libdir}/pkgconfig/notcurses-ffi.pc
%{_libdir}/pkgconfig/notcurses.pc
%{_libdir}/pkgconfig/notcurses++.pc

%files static
%{_libdir}/libnotcurses-core.a
%{_libdir}/libnotcurses.a
%{_libdir}/libnotcurses++.a

%files utils
# Don't use a wildcard, lest we pull in notcurses-*pydemo.1.
%{_bindir}/ncneofetch
%{_bindir}/nctetris
%{_bindir}/notcurses-demo
%{_bindir}/notcurses-info
%{_bindir}/notcurses-input
%{_bindir}/notcurses-tester
%{_bindir}/tfman

%changelog
## START: Generated by rpmautospec
* Thu Jan 09 2025 Nick Black <dankamongmen@gmail.com> - 3.0.12-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
